Fetch all automations for an account
curl --request GET \
--url https://api.brale.xyz/accounts/{account_id}/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brale.xyz/accounts/{account_id}/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brale.xyz/accounts/{account_id}/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brale.xyz/accounts/{account_id}/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brale.xyz/accounts/{account_id}/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automations": [
{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"name": "XYZ Onramp",
"status": "active",
"source": {
"value_type": "USD",
"transfer_type": null,
"funding_instructions": {
"beneficiary_name": "Jane Business",
"bank_name": "Example Bank",
"bank_address": "456 Commerce St., Des Moines, IA 50309",
"beneficiary_address": "612 Commerce St., Des Moines, IA 50309",
"account_number": "123456789",
"routing_number": "063108680"
}
},
"destination": {
"address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"value_type": "SBC",
"transfer_type": "solana"
},
"created_at": "2024-01-15T12:34:56Z",
"updated_at": "2024-01-15T12:34:56Z",
"brand": {
"account_id": "2VcUIIsgARwVbEGlIYbhg6fGG57"
}
}
]
}Automations (virtual accounts)
Fetch all automations for an account
Lists the Automations (virtual accounts) for an account.
GET
/
accounts
/
{account_id}
/
automations
Fetch all automations for an account
curl --request GET \
--url https://api.brale.xyz/accounts/{account_id}/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brale.xyz/accounts/{account_id}/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brale.xyz/accounts/{account_id}/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brale.xyz/accounts/{account_id}/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brale.xyz/accounts/{account_id}/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automations": [
{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"name": "XYZ Onramp",
"status": "active",
"source": {
"value_type": "USD",
"transfer_type": null,
"funding_instructions": {
"beneficiary_name": "Jane Business",
"bank_name": "Example Bank",
"bank_address": "456 Commerce St., Des Moines, IA 50309",
"beneficiary_address": "612 Commerce St., Des Moines, IA 50309",
"account_number": "123456789",
"routing_number": "063108680"
}
},
"destination": {
"address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"value_type": "SBC",
"transfer_type": "solana"
},
"created_at": "2024-01-15T12:34:56Z",
"updated_at": "2024-01-15T12:34:56Z",
"brand": {
"account_id": "2VcUIIsgARwVbEGlIYbhg6fGG57"
}
}
]
}Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.
Authorizations
Path Parameters
Was this page helpful?